#新手 #請益 VS code 問題(python)

3月4日 00:38
如題,想請問各位大大 我目前在vscode中抓不到tensorflow 我確認我已裝了tensorflow 也裝了keras
megapx
import也是綠色的
megapx
但在編譯的時候 會有no module named tensorflow.python的error
megapx
目前python version 為3.9.10 在安裝tensotflow時的指令為: pip install tensorflow 之後上網爬了文,發現可能是pip指令的問題 我將tensorflow 刪掉,改用用pip3 install後也沒辦法 (用系統管理員執行也無法) 所以想上來問各位大大是否曾經也遇過這個問題 還有想請問是否有解決方法 更————————————————————— 歐我在裝tensorflow 的時候有查到說 如果版本夠新 只需要打: pip install tensorflow 或 pip3 install tensorflow 他就會幫你抓合適的tensorflow 版本 但是因為我的電腦有GPU 還是需要裝的版本是有gpu 版本的🧐 (pip install tensorflow-gpu ) 我真的試了許多方法都不能使用 希望有遇過此問題的大大可以分享一些經驗🙏
5
留言 26
文章資訊
6 篇文章7 人追蹤
共 26 則留言
國立政治大學
sys.path的目錄裡面有嗎
長庚大學
檢查一下你的 pip 版本 如果是舊版的話 可以試試看先更新 pip 接著 pip uninstall tensorflow 然後再 install 一次
國立中山大學
國立陽明交通大學
pip list 有這些 module 嗎?
國立暨南國際大學
我之前也是安裝遇到問題,之後有人跟我說可以直接用colab
國立成功大學
你是用anaconda 嗎
妳的 tensorflow 和 keras modules 是用 anaconda 的 pip 所安裝,vscode 的直譯器設定可能是用官方 python.exe 所以找不到 modules 可以在 vscode 按 ctrl+shift+p 搜尋 interpreter 查看設定
國立成功大學
你的 python 環境有問題啊,你不是安裝在 anaconda 中嗎?
逢甲大學
你有activate 環境ㄇ 如果用vs code一開始裝給你的basic 很容易出問題 先用conda建新的環境
B6 B7 B8 B9 我目前都在vscode 上面做編譯 後來發現不能用tensorflow 和keras的時候我才開始安裝環境(我應該要先裝的😅) 而上面所看到的module 都是我直接開cmd pip install指令,直接裝在電腦上的 當然後面conda 內我也有裝 更————————- B1-4 我剛剛才了解各位的意思 我的認知是 在cmd pip install安裝套件是直接裝到windows上的python系統 然後我的 vscode 的baise 也會自動連到 windows上的python系統 所以現在的問題是 我第一張圖的環境 和vscode 的baise 的環境是不同地方的是嗎😱😱所以才抓不到module 那我直接點選anaconda 在我的base(root)裡面直接安裝可以嗎🤔
匿名
這則留言已被本人刪除
已經刪除的內容就像 Dcard 一樣,錯過是無法再相見的!
中原大學
恭喜來到python安裝keras跟tensorflow 想當初裝到差點發飆 然後會覺得什麼爛python
國立中山大學
所以在哪裡可以無腦安裝